Bug 13859 - --authentication-file stopped working for non-regular files
--authentication-file stopped working for non-regular files
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.10.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
https://gitlab.com/samba-team/samba/m...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-26 02:48 UTC by Andrew Bartlett
Modified: 2019-04-03 10:37 UTC (History)
1 user (show)

See Also:


Attachments
patch for 4.10 cherry-picked from master (2.54 KB, patch)
2019-03-26 04:55 UTC, Andrew Bartlett
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2019-03-26 02:48:14 UTC
Per 

https://lists.samba.org/archive/samba/2018-September/217904.html

and 

https://lists.samba.org/archive/samba/2018-September/217992.html

A more general change to our authentication code caused setting --authentication-file=/proc/self/fd/3 to no longer to work.

A use case is eg:

https://github.com/1afa/sambadav/blob/master/src/lib/SambaDAV/SMBClient/Process.php#L67
Comment 1 Andrew Bartlett 2019-03-26 04:55:27 UTC
Created attachment 14991 [details]
patch for 4.10 cherry-picked from master
Comment 2 Andrew Bartlett 2019-03-26 22:03:58 UTC
G'Day Karolin,

Please select for 4.10.  (It might also be good for 4.9, I've not checked yet).
Comment 3 Karolin Seeger 2019-03-28 08:43:09 UTC
Pushed to autobuild-v4-10-test.
Comment 4 Karolin Seeger 2019-04-02 08:10:22 UTC
(In reply to Karolin Seeger from comment #3)
Pushed again to autobuild-v4-10-test.
Comment 5 Karolin Seeger 2019-04-03 10:37:02 UTC
Pushed to v4-10-test.
Closing out bug report.

Thanks!